phone.getGroupCallStreamChannels
Get the available stream channels and current playback timestamp of an RTMP-mode video chat, livestream or live story, see here » for the full flow. The group call must be joined before invoking this method. Send the request to the media DC specified by RawGroupCall.stream_dc_id.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Get the available stream channels and current playback timestamp of an RTMP-mode video chat, livestream or live story, see here » for the full flow. The group call must be joined before invoking this method. Send the request to the media DC specified by RawGroupCall.stream_dc_id.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/phone.getGroupCallStreamChannels" \ -H "Content-Type: application/json" \ -d '{ "params": { "call": { "_": "inputGroupCall", "id": "string", "accessHash": "string" } } }'{ "result": { "_": "phone.groupCallStreamChannels", "channels": [ { "_": "groupCallStreamChannel", "channel": 0, "scale": 0, "lastTimestampMs": "string" } ] }}getGroupCallStars
Fetch a live story's total donations and top donors, see [paid live story donations »](https://core.telegram.org/api/group-calls#paid-live-story-donations).
getGroupCallStreamRtmpUrl
Get the RTMP URL and stream key used by the single external streamer that publishes all audio and video for an RTMP-mode video chat, livestream or live story. See [here »](https://core.telegram.org/api/group-calls#creating-and-publishing-an-rtmp-livestream) for the full flow.